Subject: bug#11865: Fwd: Re: 24.1.50; doxygen comments not highlighted in c++-mode

From: Alan Mackenzie <[email-masked]>
Date: Sun, 30 Jun 2019 15:13:31 +0000

Hello, Toon and Lars.

On Thu, Jun 27, 2019 at 17:10:05 +0200, Lars Ingebrigtsen wrote:
> Toon Claes <[email-masked]> writes:

> > Hi Lars,

> > Find the patch attached.
> > The regexp is written to match:
> > /** gtkdoc */
> > /**
> >  * gtkdoc
> >  */

> > And to not match:
> > /*******/

> Alan, can you comment on this patch?  It's about not recognising gtkdoc
> comments in c++-mode: 

I've just had a close look at this, and it's the least controversial
patch I've seen in years.  There is simply nothing in it which raises the
slightest question as to it's being a good thing.

So I've committed the change.  If I don't hear anything back within a few
days, I'll assume the change successful and close the bug.

> > * progmodes/cc-vars.el (c-doc-comment-style): Set gtkdoc the
> > default for c++-mode.
> > * progmodes/cc-fonts.el (gtkdoc-font-lock-keywords): Text inside
> > GtkDoc comment can be on the same line as the comment start "/**".
> > ---
> >  ChangeLog.2                | 9 +++++++++
> >  lisp/progmodes/cc-fonts.el | 2 +-
> >  lisp/progmodes/cc-vars.el  | 5 +++--
> >  3 files changed, 13 insertions(+), 3 deletions(-)

> -- 
> (domestic pets only, the antidote for overdose, milk.)
>    bloggy blog: http://lars.ingebrigtsen.no

-- 
Alan Mackenzie (Nuremberg, Germany).